"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.mplEssentials = void 0;
const generated_1 = require("./generated");
const mplEssentials = () => ({
    install(umi) {
        umi.programs.add((0, generated_1.createSplSystemProgram)(), false);
        umi.programs.add((0, generated_1.createSplMemoProgram)(), false);
        umi.programs.add((0, generated_1.createSplTokenProgram)(), false);
        umi.programs.add((0, generated_1.createSplAssociatedTokenProgram)(), false);
        umi.programs.add((0, generated_1.createSplAddressLookupTableProgram)(), false);
        umi.programs.add((0, generated_1.createMplSystemExtrasProgram)(), false);
        umi.programs.add((0, generated_1.createMplTokenExtrasProgram)(), false);
    },
});
exports.mplEssentials = mplEssentials;
//# sourceMappingURL=plugin.js.map